Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ITimerCallback Class Referenceabstract

Implement this callback interface to receive triggers from a timer. More...

`#include <timer.h>`

## Public Member Functions
virtual | ~ITimerCallback ()
virtual void | onTimer (Timer *timer)=0
| This method is called at the end of each interval.

## Detailed Description

Implement this callback interface to receive triggers from a timer.

Note: This interface is intended as a mix-in class and therefore does not provide ref-counting.

See also
  Timer

## Constructor & Destructor Documentation

## ◆ ~ITimerCallback()

virtual ~ITimerCallback | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ onTimer()

virtual void onTimer | ( | Timer * | timer | ) |
| pure virtual

This method is called at the end of each interval.

Parameters

  timer | The timer which calls.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.